
Figure - Bug #118067
【IOVDEV-29244】【内部】【VC1】【0095】【台架】【EE环境】【副屏】【蓝牙】副屏蓝牙在于已连接的
蓝牙耳机设备进行配对时，偶现与其他的已连接的设备进行自动配对（副屏自动配对的蓝牙耳机设备未激活）
2023-05-18 19:32 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-05-18

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0080.c101��【副屏版本号】：01.00.0095.c103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

详情

类型: 故障

状态:开放 (查看工作流)

优先级: C

解决结果:未解决

影响版本:

01.00.0095.C103

修复的版本:无

模块:

副屏

标签:无

Repetition Rate:

偶发

测试环境:台架手动测试

项目名:

VC1

描述

环境信息】EE环境

【问题出现时间】：20230518 17：39

【前提条件】：副屏上电，副屏蓝牙已连接过多个蓝牙耳机设备

【操作步骤】

1.点击开启副屏蓝牙，只激活一个已连接过的蓝牙耳机设备

2.查看副屏蓝牙设置界面，连接情况

【实际结果】

1.副屏蓝牙与多个蓝牙耳机设备进行配对连接

【期望结果】

1.副屏蓝牙只和已激活的蓝牙耳机设备进行连接

【备注】：

第131次开机

偶现事件，10次大概1、2次左右
日志、视频地址：https://ofs.human-horizons.com/#/download/index/bS%2FeOXX7swc%3D

【中控版本号】：03.02.0080.c101

【副屏版本号】：01.00.0095.c103

日志请使用VPN账号在jira获取

History

#1 - 2023-05-19 09:55 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#2 - 2023-05-19 13:46 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118067/17.39%2095%E7%89%88%E6%9C%AC%20131%E6%AC%A1%E5%BC%80%E6%9C%BA%20%E5%89%

AF%E5%B1%8F%E8%93%9D%E7%89%99%E5%9C%A8%E4%BA%8E%E5%B7%B2%E8%BF%9E%E6%8E%A5%E7%9A%84%E8%93%9D%E7%89%99%E8%80%B

3%E6%9C%BA%E8%AE%BE%E5%A4%87%E8%BF%9B%E8%A1%8C%E9%85%8D%E5%AF%B9%E6%97%B6%EF%BC%8C%E5%81%B6%E7%8E%B0%E4%B8%

8E%E5%85%B6%E4%BB%96%E7%9A%84%E5%B7%B2%E8%BF%9E%E6%8E%A5%E7%9A%84%E8%AE%BE%E5%A4%87%E8%BF%9B%E8%A1%8C%E8%87%

AA%E5%8A%A8%E9%85%8D%E5%AF%B9%EF%BC%88%E5%89%AF%E5%B1%8F%E8%87%AA%E5%8A%A8%E9%85%8D%E5%AF%B9%E7%9A%84%E8%93

%9D%E7%89%99%E8%80%B3%E6%9C%BA%E8%AE%BE%E5%A4%87%E6%9C%AA%E6%BF%80%E6%B4%BB%EF%BC%89.7z

#3 - 2023-05-19 14:30 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_TEST 王成

■ Current conclusion

日志和问题发生时视频时间不对应，无法分析。

通过视频文件名称可以看出，录制时间在 17:51:51 左右，但是日志中没有对应时间段的日志。

■ Next action

测试反馈给客户，提供问题对应时的日志。还有就是提醒下客户进行拍摄的时候，最好把屏幕的时间拍上，方便对应。

#4 - 2023-05-22 20:49 - CDTS_TEST 王成

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD FW-廖涛

客户提供的新日志

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118067/tlog_iov0201017500006162025411a2212290000000601_000134_0519180656%20%E9%87%8D%E7%8E%B0

%E9%97%AE%E9%A2%98%E6%97%A5%E5%BF%97%20%2018%EF%BC%9A06%E5%B7%A6%E5%8F%B3.tar.7z

#5 - 2023-05-23 10:33 - CD FW-廖涛

- Category changed from 依赖客户及其供应商解决 to LC

- Assignee changed from CD FW-廖涛 to CD LC 陶洪普
https://ofs.human-horizons.com/#/download/index/bS%2FeOXX7swc%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118067/17.39%2095%E7%89%88%E6%9C%AC%20131%E6%AC%A1%E5%BC%80%E6%9C%BA%20%E5%89%AF%E5%B1%8F%E8%93%9D%E7%89%99%E5%9C%A8%E4%BA%8E%E5%B7%B2%E8%BF%9E%E6%8E%A5%E7%9A%84%E8%93%9D%E7%89%99%E8%80%B3%E6%9C%BA%E8%AE%BE%E5%A4%87%E8%BF%9B%E8%A1%8C%E9%85%8D%E5%AF%B9%E6%97%B6%EF%BC%8C%E5%81%B6%E7%8E%B0%E4%B8%8E%E5%85%B6%E4%BB%96%E7%9A%84%E5%B7%B2%E8%BF%9E%E6%8E%A5%E7%9A%84%E8%AE%BE%E5%A4%87%E8%BF%9B%E8%A1%8C%E8%87%AA%E5%8A%A8%E9%85%8D%E5%AF%B9%EF%BC%88%E5%89%AF%E5%B1%8F%E8%87%AA%E5%8A%A8%E9%85%8D%E5%AF%B9%E7%9A%84%E8%93%9D%E7%89%99%E8%80%B3%E6%9C%BA%E8%AE%BE%E5%A4%87%E6%9C%AA%E6%BF%80%E6%B4%BB%EF%BC%89.7z
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118067/17.39%2095%E7%89%88%E6%9C%AC%20131%E6%AC%A1%E5%BC%80%E6%9C%BA%20%E5%89%AF%E5%B1%8F%E8%93%9D%E7%89%99%E5%9C%A8%E4%BA%8E%E5%B7%B2%E8%BF%9E%E6%8E%A5%E7%9A%84%E8%93%9D%E7%89%99%E8%80%B3%E6%9C%BA%E8%AE%BE%E5%A4%87%E8%BF%9B%E8%A1%8C%E9%85%8D%E5%AF%B9%E6%97%B6%EF%BC%8C%E5%81%B6%E7%8E%B0%E4%B8%8E%E5%85%B6%E4%BB%96%E7%9A%84%E5%B7%B2%E8%BF%9E%E6%8E%A5%E7%9A%84%E8%AE%BE%E5%A4%87%E8%BF%9B%E8%A1%8C%E8%87%AA%E5%8A%A8%E9%85%8D%E5%AF%B9%EF%BC%88%E5%89%AF%E5%B1%8F%E8%87%AA%E5%8A%A8%E9%85%8D%E5%AF%B9%E7%9A%84%E8%93%9D%E7%89%99%E8%80%B3%E6%9C%BA%E8%AE%BE%E5%A4%87%E6%9C%AA%E6%BF%80%E6%B4%BB%EF%BC%89.7z
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118067/17.39%2095%E7%89%88%E6%9C%AC%20131%E6%AC%A1%E5%BC%80%E6%9C%BA%20%E5%89%AF%E5%B1%8F%E8%93%9D%E7%89%99%E5%9C%A8%E4%BA%8E%E5%B7%B2%E8%BF%9E%E6%8E%A5%E7%9A%84%E8%93%9D%E7%89%99%E8%80%B3%E6%9C%BA%E8%AE%BE%E5%A4%87%E8%BF%9B%E8%A1%8C%E9%85%8D%E5%AF%B9%E6%97%B6%EF%BC%8C%E5%81%B6%E7%8E%B0%E4%B8%8E%E5%85%B6%E4%BB%96%E7%9A%84%E5%B7%B2%E8%BF%9E%E6%8E%A5%E7%9A%84%E8%AE%BE%E5%A4%87%E8%BF%9B%E8%A1%8C%E8%87%AA%E5%8A%A8%E9%85%8D%E5%AF%B9%EF%BC%88%E5%89%AF%E5%B1%8F%E8%87%AA%E5%8A%A8%E9%85%8D%E5%AF%B9%E7%9A%84%E8%93%9D%E7%89%99%E8%80%B3%E6%9C%BA%E8%AE%BE%E5%A4%87%E6%9C%AA%E6%BF%80%E6%B4%BB%EF%BC%89.7z
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118067/17.39%2095%E7%89%88%E6%9C%AC%20131%E6%AC%A1%E5%BC%80%E6%9C%BA%20%E5%89%AF%E5%B1%8F%E8%93%9D%E7%89%99%E5%9C%A8%E4%BA%8E%E5%B7%B2%E8%BF%9E%E6%8E%A5%E7%9A%84%E8%93%9D%E7%89%99%E8%80%B3%E6%9C%BA%E8%AE%BE%E5%A4%87%E8%BF%9B%E8%A1%8C%E9%85%8D%E5%AF%B9%E6%97%B6%EF%BC%8C%E5%81%B6%E7%8E%B0%E4%B8%8E%E5%85%B6%E4%BB%96%E7%9A%84%E5%B7%B2%E8%BF%9E%E6%8E%A5%E7%9A%84%E8%AE%BE%E5%A4%87%E8%BF%9B%E8%A1%8C%E8%87%AA%E5%8A%A8%E9%85%8D%E5%AF%B9%EF%BC%88%E5%89%AF%E5%B1%8F%E8%87%AA%E5%8A%A8%E9%85%8D%E5%AF%B9%E7%9A%84%E8%93%9D%E7%89%99%E8%80%B3%E6%9C%BA%E8%AE%BE%E5%A4%87%E6%9C%AA%E6%BF%80%E6%B4%BB%EF%BC%89.7z
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118067/17.39%2095%E7%89%88%E6%9C%AC%20131%E6%AC%A1%E5%BC%80%E6%9C%BA%20%E5%89%AF%E5%B1%8F%E8%93%9D%E7%89%99%E5%9C%A8%E4%BA%8E%E5%B7%B2%E8%BF%9E%E6%8E%A5%E7%9A%84%E8%93%9D%E7%89%99%E8%80%B3%E6%9C%BA%E8%AE%BE%E5%A4%87%E8%BF%9B%E8%A1%8C%E9%85%8D%E5%AF%B9%E6%97%B6%EF%BC%8C%E5%81%B6%E7%8E%B0%E4%B8%8E%E5%85%B6%E4%BB%96%E7%9A%84%E5%B7%B2%E8%BF%9E%E6%8E%A5%E7%9A%84%E8%AE%BE%E5%A4%87%E8%BF%9B%E8%A1%8C%E8%87%AA%E5%8A%A8%E9%85%8D%E5%AF%B9%EF%BC%88%E5%89%AF%E5%B1%8F%E8%87%AA%E5%8A%A8%E9%85%8D%E5%AF%B9%E7%9A%84%E8%93%9D%E7%89%99%E8%80%B3%E6%9C%BA%E8%AE%BE%E5%A4%87%E6%9C%AA%E6%BF%80%E6%B4%BB%EF%BC%89.7z
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118067/17.39%2095%E7%89%88%E6%9C%AC%20131%E6%AC%A1%E5%BC%80%E6%9C%BA%20%E5%89%AF%E5%B1%8F%E8%93%9D%E7%89%99%E5%9C%A8%E4%BA%8E%E5%B7%B2%E8%BF%9E%E6%8E%A5%E7%9A%84%E8%93%9D%E7%89%99%E8%80%B3%E6%9C%BA%E8%AE%BE%E5%A4%87%E8%BF%9B%E8%A1%8C%E9%85%8D%E5%AF%B9%E6%97%B6%EF%BC%8C%E5%81%B6%E7%8E%B0%E4%B8%8E%E5%85%B6%E4%BB%96%E7%9A%84%E5%B7%B2%E8%BF%9E%E6%8E%A5%E7%9A%84%E8%AE%BE%E5%A4%87%E8%BF%9B%E8%A1%8C%E8%87%AA%E5%8A%A8%E9%85%8D%E5%AF%B9%EF%BC%88%E5%89%AF%E5%B1%8F%E8%87%AA%E5%8A%A8%E9%85%8D%E5%AF%B9%E7%9A%84%E8%93%9D%E7%89%99%E8%80%B3%E6%9C%BA%E8%AE%BE%E5%A4%87%E6%9C%AA%E6%BF%80%E6%B4%BB%EF%BC%89.7z
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118067/tlog_iov0201017500006162025411a2212290000000601_000134_0519180656%20%E9%87%8D%E7%8E%B0%E9%97%AE%E9%A2%98%E6%97%A5%E5%BF%97%20%2018%EF%BC%9A06%E5%B7%A6%E5%8F%B3.tar.7z
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118067/tlog_iov0201017500006162025411a2212290000000601_000134_0519180656%20%E9%87%8D%E7%8E%B0%E9%97%AE%E9%A2%98%E6%97%A5%E5%BF%97%20%2018%EF%BC%9A06%E5%B7%A6%E5%8F%B3.tar.7z


■ Current conclusion

从新的日志中看，在问题发生是，确实收到了设备 饭团 的状态变更回调。见附件[[

https://share.thundersoft.com/redmine/attachments/download/76461/20230524-150823.jpg]]

#6 - 2023-05-24 15:09 - CD FW-廖涛

- File 20230524-150823.jpg added

#7 - 2023-05-24 18:38 - CD LC涂宇

// tlog_iov0201017500006162025411a2212290000000601_000134_0519180656 重现问题日志  18：06左右.tar

根据日志和视频来看：

用户在连接“饭团”设备前已经和“i12”设备连接并且该设备处于active转态，此时无法连接其它设备“饭团”应属于正常行为。如果需要切换到“饭团

”设备(active)则需先断开和“i12”的连接后才行。

    BluetoothController:

    ----------------------------------------------------------------------------

    BluetoothController state:

      mLocalBluetoothManager=com.android.settingslib.bluetooth.LocalBluetoothManager@f400520

      mEnabled=true

      mConnectionState=CONNECTED

      mAudioProfileOnly=true

      mIsActive=true

      mConnectedDevices=[34:9F:F4:45:0F:AA]

      mCallbacks.size=2

      Bluetooth Devices:

        饭团�1�7 12 false

        i12 12 true

        Pro Controller 12 false

Next:

和客户确认一下具体是什么需求和现象 （视频中没看到和多个设备进行配对，和票中所描述的【实际结果】不符）

#8 - 2023-05-26 10:10 - CDTS_Test 吴诗雨

FengYang

1.副屏是支持同时连接五台蓝牙设备的，可以同时连接两台蓝牙耳机设备

2.这个票提的问题是，副屏应该是搜索到之前连接过的蓝牙耳机设备时才会自动与设备重连，现在情况是未激活的已连接过的设备副屏也会显示自动连

接中

3.步骤：前提条件：副屏已连接“饭团”“i12”两款蓝牙耳机设备

1.打开副屏蓝牙

2.激活“i2”蓝牙耳机设备，不激活“饭团”设备

3.查看副屏蓝牙界面连接情况

期望结果：副屏蓝牙只会显示与“i12”设备连接配对

#9 - 2023-05-31 13:57 - 短距组_SSRDCNJ 蒋俊杰

【结论】：已配对设备自动回连是耳机端发起连接，需要HCI log确认是否是耳机发起的连接行为。
【下一步计划】：请测试复现提供HCI日志

#10 - 2023-06-01 18:21 - SZTS_TEST 邹涛

在106版本上复测20次未复现

#11 - 2023-06-07 10:07 - CD LC 陶洪普

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CDTS_Test 吴诗雨

Hi

已配对设备自动回连是耳机端发起连接，需要HCI log确认是否是耳机发起的连接行为。

请帮提供复现这个现象的HCI 日志 (在tlog中选择上HCI log),谢谢!

#12 - 2023-06-07 18:11 - CDTS_Test 吴诗雨

- File tlog_iov0201017500006162025411a2212290000000601_000216_0601173311.tar.gz added

- File tlog_iov0201017500006162025411a2212290000000601_000216_0601173648.tar.gz added

- File 飞书20230601-190540.mp4 added

- Assignee changed from CDTS_Test 吴诗雨 to CD LC 陶洪普

客户0601提供了新的日志和视频，请看下是否有用

#13 - 2023-06-07 18:11 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to ASSIGNED

#14 - 2023-06-08 15:51 - 短距组_SSRDCNJ 蒋俊杰

新上传的视频（飞书20230601-190540.mp4 ）不是BT相关操作，是操作的WIFi连接。请确认是否误传

#15 - 2023-06-28 19:52 - CD LC 陶洪普

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CDTS_Test 吴诗雨

转JIRA更新

http://jira.human-horizons.com/browse/IOVDEV-29244

#16 - 2023-07-04 18:02 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

原生如此，保持现状
#17 - 2023-07-04 18:02 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#18 - 2023-07-04 18:02 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

20230524-150823.jpg 146 KB 2023-05-24 CD FW-廖涛

tlog_iov0201017500006162025411a2212290000000601_000216_0601173311.tar.gz4.73 MB 2023-06-07 CDTS_Test 吴诗雨

tlog_iov0201017500006162025411a2212290000000601_000216_0601173648.tar.gz34.2 MB 2023-06-07 CDTS_Test 吴诗雨

飞书20230601-190540.mp4 6.64 MB 2023-06-07 CDTS_Test 吴诗雨
